package com.gyee.wisdom.common.data.system.dto;

import java.util.List;

/**
 * Bootstrap TreeView插件对应的后台数据结构，格式如下：
{
  text: "Node 1",
  icon: "glyphicon glyphicon-stop",
  selectedIcon: "glyphicon glyphicon-stop",
  color: "#000000",
  backColor: "#FFFFFF",
  href: "#node-1",
  selectable: true,
  state: {
    checked: true,
    disabled: true,
    expanded: true,
    selected: true
  },
  tags: ['available'],
  nodes: [
    {},
    ...
  ]
}
 * @author northriver
 *
 */
public class BootstrapTreeNode {
	
	private String id;
	private String text;
	private String[] tags;
	private List<BootstrapTreeNode> nodes;
	
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getText() {
		return text;
	}
	
	public void setText(String text) {
		this.text = text;
	}
	
	public String[] getTags() {
		return tags;
	}
	
	public void setTags(String[] tags) {
		this.tags = tags;
	}
	
	public List<BootstrapTreeNode> getNodes() {
		return nodes;
	}
	
	public void setNodes(List<BootstrapTreeNode> nodes) {
		this.nodes = nodes;
	}

	

}
